shishi_kdcrep_cname_set(3)

NAME
shishi_kdcrep_cname_set - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdcrep_cname_set(Shishi * handle, Shishi_asn1 kdcrep, Shishi_name_type name_type, const char * [] cname);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 kdcrep
    Kdcrep variable to set server name field in.

Shishi_name_type name_type
    type of principial, see Shishi_name_type, usually SHISHI_NT_UNKNOWN.

const char * [] cname
    input array with principal name.

DESCRIPTION
Set the server name field in the KDC-REP.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.